## storm-lang 0.5.10

=== debian/changelog ===
storm-lang (0.5.10-1) unstable; urgency=medium

  * First Debian release (Closes: #990009)

 -- Filip Strömbäck <filip@fprg.se>  Tue, 9 Nov 2021 22:49:14 +0100
