## storm-lang 0.5.20

=== debian/changelog ===
storm-lang (0.5.20-1build1) lunar; urgency=medium

  * No-change rebuild against libflac++10 & libflac12.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Nov 2022 16:30:52 +0000

storm-lang (0.5.20-1) unstable; urgency=medium

  * Allow running code from files without the "-f" flag.
  * Allow catching "out of memory" errors from the garbage collector.
  * Fixed a rare crash that could occur when a large amount of memory
    is allocated on the heap (around 1GB or so).
  * Protect against integer overflows when allocating data on the
    heap. Previously, a well-selected size could cause a too small
    allocation and subsequent crashes/buffer overflows.
  * Improved the representation of uninitialized synchronization
    primitives in Progvis.
  * Fixed issues when running UI applications on Wayland.
  * Fixed issues with calling the "join" function multiple times.
  * SQL library supports "ORDER BY" and table aliases.
  * Lambdas never try to return a reference, which previously caused an error.
  * Improved error message when using wrong syntax on command line.
  * Fixed a bug in the PinnedSet class when resizing internal storage.
  * Added iterators to the Queue class.
  * Added progress bars to the UI library.
  * Fixed issues with DPI scaling on Linux in the UI library.
  * Added maps and sets that operate on object identity for class types.
  * Improved layout of data in Progvis.
  * Added a model checker to Progvis to find problems automatically.
  * Organized the demo directory, and added button to the UI for accessing it.
  * Fixed bug that caused Progvis to not show all accesses sometimes.
  * The C/C++ frontend for Progvis handles whitespaces properly and allows
    using "static" for global variables.
  * Added icons to Progvis.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 30 Jul 2022 11:15:07 +0200
