=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	       libvorbis-dev,
 	       mymake (>= 2.2.0),
 	       pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.6.0
 Homepage: https://storm-lang.org/
 #Vcs-Browser: https://salsa.debian.org/debian/storm
 #Vcs-Git: https://salsa.debian.org/debian/storm.git
@@ -44,7 +44,7 @@
  Provides the ability to load various image types to Storm programs.
 
 Package: storm-lang-layout
-Architecture: amd64
+Architecture: all
 Depends: storm-lang (>= ${source:Version}), ${misc:Depends}
 Description: Layout library for Storm
  This library provides a language extension for declaring layouts
@@ -57,7 +57,7 @@
  UI library for the Storm language platform using Gtk+.
 
 Package: storm-lang-presentation
-Architecture: amd64
+Architecture: all
 Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), ${misc:Depends}
 Description: Presentation library for Storm
  Library with language extensions for conveniently creating and showing
@@ -79,7 +79,7 @@
 
 Package: progvis
 Section: education
-Architecture: amd64
+Architecture: all
 Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-sql (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), storm-lang-crypto (>= ${source:Version}), ${misc:Depends}
 Suggests: progvis-examples
 Description: Program visualization tool for C/C++ (and others)
@@ -90,7 +90,7 @@
 
 Package: progvis-examples
 Section: education
-Architecture: amd64
+Architecture: all
 Depends: progvis, ${misc:Depends}
 Description: Set of example programs for progvis
  Programs developed for Progvis, illustrating differnent aspects
