## storm-lang 0.6.2

=== debian/changelog ===
storm-lang (0.6.2-1) unstable; urgency=medium

  * Added support for arm64.
  * Add support for detecting live-locks in the auto-grader in Progvis.
  * Fixed a bug in Progvis that would cause threads to step too far.
  * Throw exceptions on integer division by zero to avoid crashes in Progvis.
  * Added conversions between unsigned integers and floating point types.
  * Improved error messages for cases where a default constructor is missing.
  * Improved the presentation library to allow interactive components.
  * Improved the Geometry API.
  * New instruction in the intermediate representation: `test`

 -- Filip Strömbäck <filip@fprg.se>  Wed, 4 Jan 2023 16:08:42 +0000
