=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 #Vcs-Git: https://salsa.debian.org/debian/storm.git
 
 Package: storm-lang
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Platform for extensible languages
  Storm is a language system for extensible languages. It allows
@@ -31,14 +31,14 @@
 Recommends: storm-lang-crypto, storm-lang-graphics, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql
 
 Package: storm-lang-crypto
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Cryptographic library for Storm
  Cryptographic primitives (for example for estabilshing SSL tunnels)
  for the Storm language platform.
 
 Package: storm-lang-graphics
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Graphics library for Storm
  Provides the ability to load various image types to Storm programs.
@@ -51,7 +51,7 @@
  in the Storm language platform.
 
 Package: storm-lang-ui
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: UI library for Storm (using Gtk3)
  UI library for the Storm language platform using Gtk+.
@@ -64,14 +64,14 @@
  presentations in the Storm language platform.
 
 Package: storm-lang-sql
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: SQL library for Storm
  Generic SQL database interface to the Storm language platform, complete with
  custom syntax. Provides bindings for SQLite at the moment.
 
 Package: storm-lang-sound
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Sound playback library for Storm
  Sound playback library for the Storm language platform. Supports
@@ -93,7 +93,7 @@
 Architecture: all
 Depends: progvis, ${misc:Depends}
 Description: Set of example programs for progvis
- Programs developed for Progvis, illustrating differnent aspects
+ Programs developed for Progvis, illustrating different aspects
  of concurrency and memory handling.
  .
  Progvis is a program visualization tool written in Storm. Supports a
