## storm-lang 0.6.16

=== debian/changelog ===
storm-lang (0.6.16-1) unstable; urgency=medium

  * Fixed issues in Progvis when using the NO_STEP directive.
  * Fixed issues in the model checker in Progvis when calling
    multiple calls to the same user-defined function.
  * Fixed an issue in the layout code for Progvis that would
    sometimes cause new data to be placed at (0, 0).
  * Updated how global variables are shown in Progvis.
    Global arrays are also supported.
  * Fixed a bug in the code generation in Storm that would
    cause the division instruction to be mis-compiled.
  * Implemented support for initializers for member variables
    in Basic Storm.
  * The name resolution in Basic Storm has been improved to
    avoid surprises.
  * Renamed the readAll function to fill in IStream.
  * Implemented a list view control in the UI library.
  * The UI library can be loaded in a headless environment.
  * Added the ability to limit the size of deserialized data
    in the serialization library.
  * The serialization library is more robust regarding
    members that have been removed since serialization.
  * Enums are now serializable.
  * Fixed a bug in the IO system that could cause crashes,
    and lost events, particularly when working with sockets.
  * Improved robustness of partial reads in the IO libraries.
  * The SQL library has been re-factored to handle cases
    where not all rows are extracted.
  * Fixed crash when using Variant in the interactive shell.
  
 -- Filip Strömbäck <filip@fprg.se>  Fri, 23 Jun 2023 00:50:25 +0200
