=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	       libogg-dev,
 	       libflac-dev,
 	       libvorbis-dev,
-	       mymake (>= 2.2.0),
+	       mymake (>= 2.3.0),
 	       pkg-config
 Standards-Version: 4.6.0
 Homepage: https://storm-lang.org/
