## storm-lang 0.6.17

=== debian/changelog ===
storm-lang (0.6.17-1) unstable; urgency=medium

  * Updated the garbage collector to a newer version. This
    potentially solves performance regressions when working
    with large sets or maps of pointers.
  * Improved handling of exceptions on 64-bit platforms.
  * Updated Debian build files to allow reproducible build
    and to properly clean the build (Closes: #1047325)

 -- Filip Strömbäck <filip@fprg.se>  Mon, 14 Aug 2023 20:43:25 +0200
