## storm-lang 0.6.19

=== debian/changelog ===
storm-lang (0.6.19-1) unstable; urgency=medium

  * Support for MariaDB and MySQL in the database library.
  * Left, right, and full joins are properly handled in the
    database library.
  * Changed license to the BSD licence.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 17 Sep 2023 11:42:47 +0200
