=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	       libogg-dev,
 	       libflac-dev,
 	       libvorbis-dev,
+	       libmariadb-dev,
 	       mymake (>= 2.3.1),
 	       pkg-config
 Standards-Version: 4.6.0
@@ -69,6 +70,7 @@
 Description: SQL library for Storm
  Generic SQL database interface to the Storm language platform, complete with
  custom syntax. Provides bindings for SQLite at the moment.
+Recommends: libmariadb3
 
 Package: storm-lang-sound
 Architecture: amd64 arm64
