## storm-lang 0.6.20

=== debian/changelog ===
storm-lang (0.6.20-1build3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:21:28 +0200

storm-lang (0.6.20-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:45 +1100

storm-lang (0.6.20-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:27:53 +0000

storm-lang (0.6.20-1) unstable; urgency=medium

  * Revised the documentation of Storm. It is now rendered by
    Storm itself.
  * Added a new library for parsing `markdown`-formatted text.
  * Added support for passing command-line arguments to programs
    written in Storm.
  * Added support for character literals to Basic Storm.
  * Don't use sizeof('\0') for end of string in C (Closes: #1058778)

 -- Filip Strömbäck <filip@fprg.se>  Thu, 22 Feb 2024 11:47:57 +0100
