=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: storm-lang
 Section: devel
 Priority: optional
-Maintainer: Filip Strömbäck <filip@fprg.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Filip Strömbäck <filip@fprg.se>
 Build-Depends: debhelper (>= 11),
 	       g++ (>= 8.3.0),
 	       libssl-dev,
@@ -15,11 +16,11 @@
 	       libvorbis-dev,
 	       libmariadb-dev,
 	       mymake (>= 2.3.1),
-	       pkg-config
-Standards-Version: 4.6.0
+	       pkgconf
+Standards-Version: 4.6.2
 Homepage: https://storm-lang.org/
-#Vcs-Browser: https://salsa.debian.org/debian/storm
-#Vcs-Git: https://salsa.debian.org/debian/storm.git
+Vcs-Browser: https://salsa.debian.org/fstromback/storm
+Vcs-Git: https://salsa.debian.org/fstromback/storm.git
 
 Package: storm-lang
 Architecture: amd64 arm64
@@ -29,7 +30,8 @@
  creating multiple languages and DSLs that are able to operate
  in close cooperation. Not too dissimilar from LISP systems, but
  with custom syntax.
-Recommends: storm-lang-crypto, storm-lang-graphics, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql
+Recommends: storm-lang-crypto, storm-lang-graphics, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql, storm-lang-markdown, storm-lang-tutorials
+Suggests: storm-lang-doc
 
 Package: storm-lang-crypto
 Architecture: amd64 arm64
@@ -79,6 +81,30 @@
  Sound playback library for the Storm language platform. Supports
  decoding flac, ogg and mp3 streams.
 
+Package: storm-lang-markdown
+Architecture: all
+Depends: storm-lang (>= ${source:Version}), ${misc:Depends}
+Description: Markdown library for Storm
+ Library for parsing markdown text in Storm, manipulating the
+ resulting document, and outputting a HTML version. Also
+ allows managing hierarchies of markdown documents.
+
+Package: storm-lang-doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: Documentation for Storm
+ Offline version of Storm's documentation. Contains both
+ the original markdown version as well as a HTML version
+ of the same text for offline viewing.
+ .
+ The documentation is installed to /usr/share/doc/storm-lang
+
+Package: storm-lang-tutorials
+Architecture: all
+Depends: storm-lang (>= ${source:Version}), ${misc:Depends}
+Description: Source code for the tutorials in the Storm manual
+ Source code that accompanies the tutorials in the Storm manual.
+
 Package: progvis
 Section: education
 Architecture: all
