=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+# Ubuntu uses lto flags. This does, however, break the garbage collector in some way
+# (Storm crashes on startup). Disable them for now. Note: -ffat-lto-objects need to
+# appear twice for the flag to disappear completely.
+export DEB_CFLAGS_MAINT_STRIP = -flto=auto -ffat-lto-objects -ffat-lto-objects
+export DEB_CXXFLAGS_MAINT_STRIP = -flto=auto -ffat-lto-objects -ffat-lto-objects
 
 # Remove some extra files that gbp buildpackage sometimes fails to clean up on a broken build.
 # Seems we need to remove the .pc dir to make quilt work well.
