## storm-lang 0.6.22

=== debian/changelog ===
storm-lang (0.6.22-1) unstable; urgency=medium

  * Fixed a crash in the parser during error recovery.
  * Changed how exports are handled to avoid surprises.
    Previously, exported packages would be imported into
    the package they were exported from. This is no longer
    the case.
  
 -- Filip Strömbäck <filip@fprg.se>  Thu, 2 May 2024 21:58:13 +0200

storm-lang (0.6.20-3) unstable; urgency=medium

  * Fix reproducibility issues by sorting files in the preprocessor.

 -- Filip Strömbäck <filip@fprg.se>  Fri, 22 Mar 2024 19:59:04 +0100

storm-lang (0.6.20-2) unstable; urgency=medium

  * Updated the build files to include all flags to .S files.
  * Marked storm-lang-doc as multiarch: foreign.
  * Fixed reproducibility issue with the date in the documentation.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 03 Mar 2024 11:33:58 +0100
