## storm-lang 0.6.23

=== debian/changelog ===
storm-lang (0.6.23-1) unstable; urgency=medium

  * Unified the to-string implementation for value types. Now it is enough
    to implement "toS" or "toS(StrBuf)", just as for classes and actors.
  * Usability improvements in the top-loop: better error messages.
  * Compile destructors eagerly to avoid crashes during shutdown.
  * Allow using "${}" to insert types into pattern blocks.
  * Relaxed limitations on where actors are bound to threads. Previously,
    this needed to happen at the first subclass of TObject. Now it can
    happen anywhere in the hierarchy.
  * New design of the license dialog.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 13 Jul 2024 11:32:29 +0200
