=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: storm-lang
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Filip Strömbäck <filip@fprg.se>
+Maintainer: Filip Strömbäck <filip@fprg.se>
 Build-Depends: debhelper (>= 11),
 	       g++ (>= 8.3.0),
 	       libssl-dev,
@@ -91,6 +90,7 @@
 
 Package: storm-lang-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Documentation for Storm
  Offline version of Storm's documentation. Contains both
