## storm-lang 0.6.25

=== debian/changelog ===
storm-lang (0.6.25-1) unstable; urgency=medium

  * Fixed a crash when using timeouts and the read completes
    before the timeout expires.

 -- Filip Strömbäck <filip@fprg.se>  Tue, 12 Nov 2024 21:18:55 +0100

storm-lang (0.6.24-1) unstable; urgency=medium

  * Updated the nomenclature in the test library. Test suites are
    now called tests, and tests are now called checks.
  * Fixed socket timeouts. The input timeout is now set on the
    input stream rather than on the socket itself.
  * New functionality in the Array class.
  * Fixed function pointers being broken after a copy.
  * Robustness and performance improvements.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 9 Nov 2024 13:22:53 +0100
