## storm-lang 0.6.26

=== debian/changelog ===
storm-lang (0.6.26-1) unstable; urgency=medium

  * Properly handle SIGPIPE so that Storm does not exit when
    writing to an empty pipe or socket.
  * Allow error handling in input and output streams.
  * Added bounds checking when accessing bytes in Buffers.

 -- Filip Strömbäck <filip@fprg.se>  Wed, 20 Nov 2024 20:11:36 +0100
