## storm-lang 0.6.28

=== debian/changelog ===
storm-lang (0.6.28-3) unstable; urgency=medium

  * Fixed a minor issue in the unit test library.

 -- Filip Strömbäck <filip@fprg.se>  Tue, 28 Jan 2025 11:56:51 +0100

storm-lang (0.6.28-2) unstable; urgency=medium

  * Disabled PAC on ARM64 builds as it is not supported by Storm,
    and will cause spurious crashes. Patches from upstream are
    in the works.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 05 Jan 2025 19:34:23 +0100

storm-lang (0.6.28-1) unstable; urgency=medium

  * Progvis can now detect memory leaks.
  * New components in the UI library (group and divider).
  * Support nested layouts in the UI flavor of the layout
    domain-specific language.
  * Made all toS(StrBuf) public to follow the new
    convention, and to be consistent with values.
  * Allow testing void expressions in the test library.
  * The function toUtf8 no longer returns a trailing 0 byte.
  * Support IS NULL and IS NOT NULL in the SQL library.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 5 Jan 2025 00:48:49 +0100
