=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	       libmariadb-dev,
 	       mymake (>= 2.3.1),
 	       pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://storm-lang.org/
 Vcs-Browser: https://salsa.debian.org/fstromback/storm
 Vcs-Git: https://salsa.debian.org/fstromback/storm.git
