=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+# Storm does not yet support control-flow hardening measures. In particular, PAC on
+# ARM. The upcoming X86 one might be also be problematic when enabled down the line.
+
 # Ubuntu uses lto flags. This does, however, break the garbage collector in some way
-# (Storm crashes on startup). Disable them for now. Note: -ffat-lto-objects need to
-# appear twice for the flag to disappear completely.
-export DEB_CFLAGS_MAINT_STRIP = -flto=auto -ffat-lto-objects -ffat-lto-objects
-export DEB_CXXFLAGS_MAINT_STRIP = -flto=auto -ffat-lto-objects -ffat-lto-objects
+# (Storm crashes on startup), and produces interesting compile errors. Disable for now.
+export DEB_BUILD_MAINT_OPTIONS = hardening=-branch optimize=-lto
 
 # Remove some extra files that gbp buildpackage sometimes fails to clean up on a broken build.
 # Seems we need to remove the .pc dir to make quilt work well.
