## storm-lang 0.7.0

=== debian/changelog ===
storm-lang (0.7.0-1) unstable; urgency=medium

  * Adds experimental live reloading of programs.
  * Fixes a deadlock situation during lazy compilation.
  * Better stack traces.
  * Support for PAC on Arm.
  * New syntax, @parent, in the named{} syntax.
  * New version of Progvis, among other things it detects more issues.
  * Allow saving screenshots from Progvis.
  * Using io_uring for async IO throughout Storm.
  * Support timeouts for sockets.
  * Support for serial ports.
  * Added support for PostgreSQL.
  * New HTTP library (server and client), and JSON library.
  * More robust handling of function pointers.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 4 Oct 2025 12:50:43 +0200
