=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Filip Strömbäck <filip@fprg.se>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 13),
+	       debhelper-compat (= 13),
 	       g++ (>= 8.3.0),
 	       libssl-dev,
 	       libpng-dev,
@@ -14,9 +15,9 @@
 	       libflac-dev,
 	       libvorbis-dev,
 	       libmariadb-dev,
-	       mymake (>= 2.3.1),
+	       mymake (>= 2.4.1),
 	       pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://storm-lang.org/
 Vcs-Browser: https://salsa.debian.org/fstromback/storm
 Vcs-Git: https://salsa.debian.org/fstromback/storm.git
@@ -71,7 +72,7 @@
 Description: SQL library for Storm
  Generic SQL database interface to the Storm language platform, complete with
  custom syntax. Provides bindings for SQLite at the moment.
-Recommends: libmariadb3
+Recommends: libmariadb3, libpq5
 
 Package: storm-lang-sound
 Architecture: amd64 arm64
