## storm-lang 0.7.1

=== debian/changelog ===
storm-lang (0.7.1-1) unstable; urgency=medium

  * Throw an appropriate exception when opening non-existing files.
  * Ignore unused serial port files on Linux (all ttySx are often not used).
  * Properly follow the system conventions for locking serial ports on Linux.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 11 Oct 2025 13:54:44 +0200

storm-lang (0.7.0-3) unstable; urgency=medium

  * Added storm-lang-graphics as a dependency to progvis.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 05 Oct 2025 00:22:38 +0200

storm-lang (0.7.0-2) unstable; urgency=medium

  * Fixed autopkgtests and added metadata to patch.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 04 Oct 2025 23:18:00 +0200
