## storm-lang 0.7.2

=== debian/changelog ===
storm-lang (0.7.2-1) unstable; urgency=medium

  * Fixed a bug that causes the ClassInherit test to fail with
    a probability of about 1/16.
  * Minor polishing of the set and map interfaces.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 12 Oct 2025 08:49:53 +0200
