=== debian/control ===
--- 
+++ 
@@ -109,7 +109,7 @@
 Package: progvis
 Section: education
 Architecture: all
-Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-sql (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), storm-lang-crypto (>= ${source:Version}), ${misc:Depends}
+Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-sql (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), storm-lang-crypto (>= ${source:Version}), storm-lang-graphics (>= ${source:Version}), ${misc:Depends}
 Suggests: progvis-examples
 Description: Program visualization tool for C/C++ (and others)
  A program visualization tool written in Storm. Supports a subset
@@ -120,7 +120,7 @@
 Package: progvis-examples
 Section: education
 Architecture: all
-Depends: progvis, ${misc:Depends}
+Depends: progvis (>= ${source:Version}), ${misc:Depends}
 Description: Set of example programs for progvis
  Programs developed for Progvis, illustrating different aspects
  of concurrency and memory handling.
