=== debian/changelog ===
storm-lang (0.7.3-1) unstable; urgency=medium

  * Added interface for inhibiting the screen saver to the UI library.
  * Support loading icons and setting them on Frames.
  * Fixed an undercanning issue near the root of the stack. On 64-bit
    systems (notably Linux), this caused Storm to crash when specifying
    a source file (or directory) on the command-line that does not
    contain a main function.

 -- Filip Strömbäck <filip@fprg.se>  Mon, 20 Oct 2025 22:52:48 +0200
