## storm-lang 0.7.4

=== debian/changelog ===
storm-lang (0.7.4-1) unstable; urgency=medium

  * New Progvis version (0.6.8). Bugfixes to the model checker
    and quicker loading of programs.
  * Fixed a bug in the implementation vector cross product.
  * Fixed a bug that caused close() to misbehave when called
    from a different threads when using io_uring.

 -- Filip Strömbäck <filip@fprg.se>  Tue, 13 Jan 2026 16:05:15 +0100
