=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: storm-lang
 Section: devel
-Priority: optional
 Maintainer: Filip Strömbäck <filip@fprg.se>
 Build-Depends: debhelper (>= 13),
 	       debhelper-compat (= 13),
@@ -17,7 +16,7 @@
 	       libmariadb-dev,
 	       mymake (>= 2.4.1),
 	       pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://storm-lang.org/
 Vcs-Browser: https://salsa.debian.org/fstromback/storm
 Vcs-Git: https://salsa.debian.org/fstromback/storm.git
