## storm-lang 0.7.5

=== debian/changelog ===
storm-lang (0.7.5-1) unstable; urgency=medium

  * Better overall performance due to improved grammar for Basic Storm.
  * Better error messages in range-based for loops.
  * Allow using #define X in Progvis for integer constants.
  * Fixes bugs in Progvis caused by the re-structuring of internals.
  * Progvis does not crash for arrays of user-defined types.
  * Progvis highlights memory accesses by more built-in functions.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 18 Jan 2026 14:12:44 +0100
