=== debian/tests/control ===
Tests: run-repl-test.sh, run-package-tests.sh, compile-tutorials.sh, run-devel-tests.sh
Depends: storm-lang, storm-lang-crypto, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql, storm-lang-sound, storm-lang-markdown, storm-lang-doc, storm-lang-tutorials, storm-lang-graphics
Architecture: amd64 arm64

Tests: compile-progvis-test.sh
Depends: progvis
Architecture: amd64 arm64
